%define		modname		eaccelerator
%define		php_name	php%{?php_suffix}
Summary:	eAccelerator module for PHP
Summary(pl.UTF-8):	Moduł eAccelerator dla PHP
Name:		%{php_name}-%{modname}
Version:	0.9.6.1
Release:	32
License:	GPL
Group:		Libraries
Source0:	http://bart.eaccelerator.net/source/%{version}/%{modname}-%{version}.tar.bz2
# Source0-md5:	32ccd838e06ef5613c2610c1c65ed228
Source1:	%{modname}.ini
Source2:	apache.conf
URL:		http://www.eaccelerator.net/
BuildRequires:	%{php_name}-devel >= 3:5.1.0
BuildRequires:	rpmbuild(macros) >= 1.344
%requires_eq	%{php_name}-common
%{?requires_php_extension}
Requires:	%{php_name}-session
Requires:	%{php_name}-zlib
Obsoletes:	php-eaccelerator < 0.9.6.1-30
Conflicts:	php-mmcache
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_webapps	/etc/webapps
%define		_webapp		%{modname}
%define		_sysconfdir	%{_webapps}/%{_webapp}
%define		_appdir		%{_datadir}/%{_webapp}

%description
eAccelerator is a further development from mmcache PHP Accelerator &
Encoder. It increases performance of PHP scripts by caching them in
compiled state, so that the overhead of compiling is almost completely
eliminated.

%description -l pl.UTF-8
eAccelerator to dalsze stadium rozwoju akceleratora i kodera PHP
mmcache. Zwiększa wydajność skryptów PHP poprzez zapamiętywanie ich w
postaci skompilowanej, dzięki czemu narzut potrzebny na kompilację
jest prawie całkowicie wyeliminowany.

%package webinterface
Summary:	WEB interface for PHP Accelerator
Summary(pl.UTF-8):	Interfejs WWW dla PHP Acceleratora
Group:		Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	webapps
Requires:	webserver(php)
Obsoletes:	php-eaccelerator-webinterface < 0.9.6.1-30
%if "%{_rpmversion}" >= "5"
BuildArch:	noarch
%endif

%description webinterface
PHP Accelerator can be managed through web interface script
control.php and dasm.php (which requires disassembler and tokenizer).
For security reasons it is recommended to restrict the usage of this
script by your local IP and setup password based access.

More information you can find at %{url}.

%description webinterface -l pl.UTF-8
PHP Accelerator może być sterowany ze strony internetowej z
wykorzystaniem skryptów control.php i dasm.php (który wymaga modułu
obsługującego disassembler i tokenizer). Z powodów bezpieczeństwa
zalecane jest, aby ograniczyć korzystanie ze skryptu do lokalnego
adresu i ustawić autoryzację hasłem.

Więcej informacji można znaleźć pod %{url}.

%prep
%setup -q -n %{modname}-%{version}

%build
phpize
%configure \
	--enable-eaccelerator=shared \
	--with-eaccelerator-userid=http \
	--without-eaccelerator-use-inode \
	--with-php-config=%{_bindir}/php-config \
	%{?debug:--with-eaccelerator-debug}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{php_extensiondir},%{_bindir},%{php_sysconfdir}/conf.d,/var/cache/%{modname},%{_sysconfdir},%{_appdir},/etc/tmpwatch}

install -p modules/eaccelerator.so $RPM_BUILD_ROOT%{php_extensiondir}
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{php_sysconfdir}/conf.d/%{modname}.ini

cp -a {PHP_Highlight,control,dasm}.php $RPM_BUILD_ROOT%{_appdir}
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
cp -p %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

echo "/var/cache/%{modname} 720" > $RPM_BUILD_ROOT/etc/tmpwatch/%{name}.conf

%clean
rm -rf $RPM_BUILD_ROOT

%triggerin webinterface -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun webinterface -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin webinterface -- apache < 2.2.0, apache-base
%webapp_register httpd %{_webapp}

%triggerun webinterface -- apache < 2.2.0, apache-base
%webapp_unregister httpd %{_webapp}

%post
%php_webserver_restart
%banner %{name} <<EOF
+-------------------------------------------------------+
|                 !!! Attention !!!                     |
|                                                       |
| For disk cache users (using eaccelerator.shm_only=0): |
|                                                       |
| Please remember to empty your eAccelerator disk cache |
| when upgrading, otherwise things will break!          |
+-------------------------------------------------------+
EOF

%postun
if [ "$1" = 0 ]; then
	%php_webserver_restart
fi

%preun
if [ "$1" = 0 ]; then
	# remove last pieces of cache
	rm -rf /var/cache/%{modname}/*
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README bugreport.php doc/php
%config(noreplace) %verify(not md5 mtime size) %{php_sysconfdir}/conf.d/%{modname}.ini
%config(noreplace) %verify(not md5 mtime size) /etc/tmpwatch/%{name}.conf
%attr(755,root,root) %{php_extensiondir}/eaccelerator.so
%attr(770,root,http) /var/cache/%{modname}

%files webinterface
%defattr(644,root,root,755)
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%dir %{_appdir}
%{_appdir}/PHP_Highlight.php
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_appdir}/control.php
%attr(640,root,http) %config(noreplace) %verify(not md5 mtime size) %{_appdir}/dasm.php
%changelog
* Thu Aug 21 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-eaccelerator.git;a=log;h=master

* Thu Aug 21 2014 Elan Ruusamäe <glen@delfi.ee> 2d9cfaf
- rebuild for php 5.3.29
- release 32 (by relup.sh)

* Fri May 16 2014 Elan Ruusamäe <glen@delfi.ee> 3fc4102
- obsolete old php name
- release 31 (by relup.sh)

* Wed May 14 2014 Elan Ruusamäe <glen@delfi.ee> 0d83973
- allow building with php_suffix

* Tue Apr 29 2014 Elan Ruusamäe <glen@delfi.ee> d48a00f
- support multiple apache versions

* Tue Apr 29 2014 Elan Ruusamäe <glen@delfi.ee> 721a63e
- move apache config as separate file

* Tue Apr 29 2014 Elan Ruusamäe <glen@delfi.ee> 00e7a26
- Revert "- migrated to apache 2.4"

* Tue Apr 29 2014 Elan Ruusamäe <glen@delfi.ee> 9857e5b
- add banner about need to purge disk cache on upgrade

* Wed Dec 18 2013 Elan Ruusamäe <glen@delfi.ee> 0616809
- release 29 (by relup.sh)

* Wed Aug 14 2013 Jan Rękorajski <baggins@pld-linux.org> 60390c6
- release 28 (by relup.sh)

* Tue Jun 11 2013 Jan Rękorajski <baggins@pld-linux.org> c5c39a9
- release 27 (by relup.sh)

* Tue May 28 2013 Jan Rękorajski <baggins@pld-linux.org> 73c5d32
- release 26 (by relup.sh)

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> 1d65fe6
- migrated to apache 2.4

* Tue Apr 23 2013 Jan Rękorajski <baggins@pld-linux.org> daba461
- release 24 (by relup.sh)

* Fri Mar 01 2013 Łukasz Kieś <kiesiu@pld-linux.org> d5b399e
- release 23 (by relup.sh)

* Thu Jan 24 2013 Jan Rękorajski <baggins@pld-linux.org> 791cc6f
- release 22 (by relup.sh)

* Fri Jan 11 2013 Jan Rękorajski <baggins@pld-linux.org> ddfdc6e
- release 21 (by relup.sh)

* Mon Dec 03 2012 Jan Rękorajski <baggins@pld-linux.org> 5191b28
- release 20 (by relup.sh)

* Tue Oct 30 2012 Jan Rękorajski <baggins@pld-linux.org> 3255fc9
- rel 19

* Sun Oct 21 2012 Jan Rękorajski <baggins@pld-linux.org> b06eab4
- rebuild to fix broken filedigests
- release 18 (by relup.sh)

* Mon Sep 24 2012 Jan Rękorajski <baggins@pld-linux.org> 8feafd3
- rebuild with fixed rpm macros
- release 17 (by relup.sh)

